//= require ace/ace
//= require ace/theme-chrome.js
//= require ace/mode-html.js
//= require_self

if (!window.EditorWrapper) {
  window.EditorWrapper = {}
}

var addEditor = function (id, content_id, lang) {
  var $content = $('#' + content_id)
  $content.hide()
  var editor = ace.edit(id)
  var session = editor.getSession()
  editor.setTheme("ace/theme/chrome");
  editor.setFontSize("16px");
  session.setMode("ace/mode/" + lang);
  session.setUseWrapMode(true);
  session.setTabSize(2);
  editor.on('change', function (e) {
    $content.val(editor.getValue())
  })
  editor.setValue($content.val())
  return editor;
}

$(function (){

  // html editor
  if ($('#html-editor').length) {
    var editor = addEditor("html-editor", "page_draft_content", "html")
    window.EditorWrapper.insert = function (data) {
      editor.insert(data);
    }
  }

  // css editor
  if ($('#css-editor').length) {
    addEditor("css-editor", "page_draft_css_content", "css")
  }

  // js editor
  if ($('#js-editor').length) {
    addEditor("js-editor", "page_draft_js_content", "javascript")
  }
})