//= require jquery-fileupload/basic
//= require_self

var getAssetIds = function () {
  return $('#page_asset_ids').val().replace(/[\[\]]*/g, '').split(',').filter(function(n) {return n});
}
var setAssetIds = function (assetIds) {
  $('#page_asset_ids').val(assetIds.join(','))
}

$(function () {
  var $uploader = $('#uploader')
  $uploader.fileupload({
    autoUpload: true,
    dataType: 'json',
    type: 'POST',
    url: "/activeadmin_cms/assets.json",
    fileInput: $('#uploader-file'),
    paramName: 'asset[image]',
    formData: {
      _method: 'POST'
    },
    done: function(e, data) {
      var assetIds = getAssetIds();
      assetIds.push(data.result.id)
      setAssetIds(assetIds)
      var $el = $('<li />')
      $el.addClass('asset')
      $el.attr('data-id', data.result.id)
      $el.attr('data-url', data.result.image_url)
      $el.append($('<span class="delete">x</span>'))
      $el.append($('<img src="' + data.result.image_thumb_url + '" />'))
      $el.appendTo($('#uploader-images'))
    }
  })
  $(document).on('click', '#uploader-images .asset .delete', function () {
    var $el = $(this).closest('.asset')
    $.post("/activeadmin_cms/assets/" + $el.data('id') + ".json", {_method: 'delete'});
    $el.empty().remove()
    var assetIds = getAssetIds()
    assetIds.splice( assetIds.indexOf($el.data('id')), 1 );
    setAssetIds(assetIds)
    return false;
  })
  $(document).on('click', '#uploader-images .asset', function () {
    EditorWrapper.insert($(this).data('url'));
    return false;
  })
})