module ActiveadminCms
  class AssetsController < ApplicationController
    before_filter :authenticate_admin_user!
    respond_to :json

    def create
      respond_with service.create(permited_params)
    end

    def destroy
      respond_with service.destroy(params[:id])
    end

    private
      def service
        ActiveadminCms::AssetsService
      end

      def permited_params
        params.require(:asset).permit(:image)
      end
  end
end
