module ActiveadminCms
  class Asset < ActiveRecord::Base
    if ActiveadminCms::Engine.config.assets_backend == 'paperclip'
      has_attached_file :image, styles: { thumb: '100x100#' }
    end

    def image_url
      image.url
    end

    def image_thumb_url
      image.url(:thumb)
    end

    def as_json(options = {})
      options[:methods] = [:image_url, :image_thumb_url]
      super(options)
    end
  end
end
