module ActiveadminCms
  class PagesService
    class << self
      def publish(page)
        page.content = page.draft_content
        page.css_content = page.draft_css_content
        page.js_content = page.draft_js_content
        page.published = true
        page.save
      end

      def move_draft(page)
        page.published = false
        page.save
      end

      def all_with_category(category)
        ActiveadminCms::Page.where(category: category.to_s)
      end

      def find_by_slug(slug)
        ActiveadminCms::Page.find_by_slug(slug)
      end

      def menu_builder
        ActiveadminCms::MenuBuilderService.new
      end

      def render(page)
        ActiveadminCms::ComposerService.render page.content do |service|
          service.assign :page, page
          service.assign :menu, menu_builder
          service.process_with :parse_menu
          service.process_with :parse_template
        end
      end 
    end
  end
end