class ActiveadminCms::Processors::ParseMenu < ActiveadminCms::Processors::Base
  def process
    @html.scan(menu_regexp).each do |data|
      html_original = data[0]
      html_processed = wrap(data[2], data[1])
      html_processed.gsub!(/\{\{([a-z]\s)?(?!#{stop_tags})([^\%\/]*?)\}\}/) { "{{menu_item.#{$2}}}" }
      @html.gsub!(html_original, html_processed)
    end
  end

  private
    def menu_regexp
      /(\{\{\s*menu\s*\:([a-z]*)\s*\}\}(.*?)\{\{\s*\/\s?menu\s*\}\})/m
    end

    def wrap(content, category)
      content.prepend "{% for menu_item in menu.#{category}_pages %}"
      content.concat "{% endfor %}"
    end

    def stop_tags
      /\s*menu_item\s*|\s*menu\s*\:[a-z]*/
    end
end

