require 'activeadmin'
require 'ace-rails-ap'
require 'jquery-rails'
require 'jquery-fileupload-rails'
require 'liquid'

begin
  require 'acts-as-taggable-on'
rescue LoadError
end
begin
  require 'paperclip'
rescue LoadError
end

module ActiveadminCms
  class Engine < ::Rails::Engine
    isolate_namespace ActiveadminCms

    initializer :append_migrations do |app|
      unless app.root.to_s.match root.to_s
        config.paths["db/migrate"].expanded.each do |expanded_path|
          app.config.paths["db/migrate"] << expanded_path
        end
      end
    end
    initializer :admin do
      ActiveAdmin.application.load_paths += Dir[config.root + 'app/admin']
    end

    if defined?(ActsAsTaggableOn)
      config.tags_backend = 'acts_as_taggable_on'
    else
      config.tags_backend = false
    end
    if defined?(Paperclip)
      config.assets_backend = 'paperclip'
    else
      config.assets_backend = false
    end
    config.page_editor_backend = 'ace_editor'
    config.page_categories = ['main']
  end
end